> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Get User Objects
> This API retrieves conversation objects associated with a specific user identity. In its upgraded V2 version, it also provides the real-time count of unread chat messages for each conversation, enabling organizations to display up-to-date unread message indicators on their websites or applications.
Path param includes the userIdentityId.
Obtain this 'user_identity' value from the Get Object API using the channel and conversation IDs.
## OpenAPI
````json GET /v2/users/identities/{USER_IDENTITY_ID}/objects
{
"openapi": "3.0.3",
"info": {
"title": "CommBox API",
"x-logo": {
"url": "https://www.commbox.io/logo/commbox_logo_large.png"
},
"version": "2.07",
"termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
"contact": {
"name": "commbox",
"url": "https://www.commbox.io",
"email": "contactus@commbox.io"
}
},
"servers": [
{
"url": "https://api.commbox.io/",
"description": "Production server"
}
],
"security": [
{
"BearerAuth": []
}
],
"tags": [
{
"name": "Core",
"description": "
Systemwide verification"
},
{
"name": "Objects",
"description": "
Objects are conversations between the AI Agent or the human agent and the customers, where each segment of the conversation is referred to as a Child. Every conversation must have a designated Stream – a communication channel such as Chat, Email, Text/SMS, etc., through which the conversation takes place.
The Object APIs category concentrates on a specific conversation, where the Stream is part of the identifying parameters. In contrast, the Streams APIs category, the Channel is the focal point of the request, and the objects and users are the filtering aspects."
},
{
"name": "Media",
"description": "Converting media files to Base64"
},
{
"name": "AI Services",
"description": "APIs that provide AI capabilities by the platform. "
},
{
"name": "Streams",
"description": "
Streams are communication channels used in CommBox, such as Chat, WhatsApp, SMS/Text, etc. In the Streams category of APIs, the channel is the focal point of the request, and the objects and users are the filtering aspects. See the Enums Section for available channels and their CommBox code."
},
{
"name": "Tags",
"description": "
Tags are a classification tool for summarizing aspects of the conversation or the user. It can mark the conversation to indicate a new sale or identify a customer as not interested in the product. To help manage the Tags assets, Tags can be grouped with a common identifier."
},
{
"name": "SMS",
"description": "
Sending customers **SMS messages** (Texting) requires an initial opt-in step, which is not offered by CommBox and is the sole responsibility of the sending entity (Business)."
},
{
"name": "WhatsApp",
"description": "
CommBox facilitates activities in **WABA** for the clients. Our platform helps clients create new templates and manage existing ones.
**Opt-in for WhatsApp**
Before sending WhatsApp messages to someone, you must first receive opt-in permission confirming that they wish to receive future messages from you on WhatsApp. This can be done using any channel your business uses to communicate with people — your website, app, email, retail location, etc.
What is your ID number?
", "createdTime": "2026-02-12T15:01:02", "updatedTime": "2026-02-12T15:08:16", "closedTime": null, "firstResponseTime": "2026-02-12T15:01:27", "lastResponseTime": "2026-02-12T15:09:13", "statusId": 1, "assignedManagerId": 0, "lastAssignedManagerId": 0, "type": 0, "user": { "id": 545516, "managerId": null, "isManager": false, "encryptedId": null, "identity": null, "uniqueId": "", "phone1": "", "phone2": "", "email": "", "firstName": "", "lastName": "", "gender": "", "numberIdentities": 1, "locale": "", "birthday": "", "remarks": "", "content": "{}" }, "isManager": false, "childs": [ { "id": 1471164, "objectId": 396001, "content": "{\"messageAlreadyRenderedFromClient\":true}", "message": "Hi, How can I help you?", "createdTime": "2026-02-12T15:00:57", "streamProviderType": 0, "type": 11, "user": { "id": 545437, "managerId": 545437, "isManager": true, "encryptedId": "HnJymfEHh8dORgiV0otwEgRpcFYJqKfueiQqPvbZTrs%3d", "identity": { "id": 558237, "streamProviderId": "", "streamProviderType": 0, "firstName": "AI Agent", "lastName": "", "thumbnailUrl": "" }, "uniqueId": null, "phone1": null, "phone2": null, "email": null, "firstName": null, "lastName": null, "gender": null, "numberIdentities": 0, "locale": null, "birthday": null, "remarks": null, "content": null } } ], "activityLogs": [], "tagsObjectId": [], "customerParticipants": [], "unreadMessages": 2 } ] } } } } } }, "400": { "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 400 }, "description": { "type": "string", "example": "Bad Request" }, "response_time": { "type": "string", "format": "date-time" } } } } } }, "401": { "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 401 }, "description": { "type": "string", "example": "Unauthorized access" }, "response_time": { "type": "string", "format": "date-time" } } } } } }, "404": { "description": "Not Found - The requested resource is not found", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 400 }, "description": { "type": "string", "example": "Not found" }, "response_time": { "type": "string", "format": "date-time" } } } } } }, "429": { "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 429 }, "description": { "type": "string", "example": "Too Many Requests" }, "response_time": { "type": "string", "format": "date-time" } } } } } }, "500": { "description": "Internal Server Error - The server could not return the representation due to an internal server error", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 500 }, "description": { "type": "string", "example": "Operation failed" }, "response_time": { "type": "string", "format": "date-time" } } }, "example": { "status": 500, "description": "Operation failed", "response_time": "2025-04-15T07:24:52.956691Z" } } } }, "501": { "description": "Not Implemented - The requested operation is not supported", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "integer", "example": 501 }, "description": { "type": "string", "example": "Not Implemented" }, "response_time": { "type": "string", "format": "date-time" } } } } } } } } } }, "components": { "schemas": { "User": { "type": "object", "properties": { "Id": { "type": "integer", "format": "int64", "description": "User ID. This is a CommBox generated number for the customer" }, "UniqueId": { "type": "string", "format": "50", "description": "User’s unique identifier. This can be an email, social security number or any other type of unique string determined by the brand administrators" }, "Phone1": { "type": "string", "format": "numeric string (20)", "description": "User’s phone number (should include country and area code without leading + or 00)" }, "Phone2": { "type": "string", "format": "numeric string (20)", "description": "User’s additional phone number (should include country and area code without leading + or 00)" }, "Email": { "type": "string", "format": "255", "description": "User's Email." }, "FirstName": { "type": "string", "format": "100", "description": "User’s first name" }, "LastName": { "type": "string", "format": "100", "description": "User’s last name" }, "Gender": { "type": "string", "format": "1", "description": "User’s gender (‘M’ for male, ‘F’ for female)" }, "Locale": { "type": "object", "description": "User’s locale" }, "Birthday": { "type": "string", "format": "date", "description": "User’s birthday" }, "NumIdentities": { "type": "integer", "description": "Number of active identities that are connected to this user" }, "IsManager": { "type": "boolean", "description": "Indicates whether this user is a agent or an admin (true) or a customer (false)" }, "Remarks": { "type": "string", "description": "Free text containing general remarks about the user" }, "Identity": { "type": "object", "description": "Identity object that is connected to the user" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "API key is needed to authorize requests. You can get your API key via the management console. A Bearer Token is needed to be set in the Authorization header of every API call. For additional support you can contact us." } } } } ````